Bug 7788 - www.live.com: umbrella bug
Summary: www.live.com: umbrella bug
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Major
Assignee: Nobody
URL: http://www.live.com
Keywords: InRadar
Depends on: 8993 9016 9017 9035 9092 9093 9124 9127 9325
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-15 13:49 PST by Alice Liu
Modified: 2008-02-10 09:11 PST (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alice Liu 2006-03-15 13:49:56 PST
safari does not render much of the www.live.com page.  this is likely to be caused by the same issues as 6519 but we are keeping separate bugs for the possibility that there are non-overlapping issues, and for the compatibility hit list.
Comment 1 Alice Liu 2006-03-15 13:55:33 PST
<rdar://problem/4419198>
Comment 2 Geoffrey Garen 2006-03-17 15:39:27 PST
Interestingly, the sniffing on this page, as opposed to the other MS pages, is
     navigator.userAgent.indexOf("Mozilla")>=0
which we pass.
Comment 3 Alexander Kellett 2006-03-18 12:20:53 PST
it uses the same HTMLDocument.prototype functionality as we are missing in the related bugs, so while it is being detected as mozilla, we don't support everything needed in any case. which means btw that without user agent spoofing we couldn't support this page /unless/ we implemented these mozilla related extensions, just the ie methods would not do.
Comment 4 Mark Malone 2006-04-26 14:47:38 PDT
Like live, SAP uses HTMLDocument.prototype to add features to Firefox like innerHTML; which webkit supports!   Browser sniffing is bad.  Let's get these changed to object detection calls or we'll be chasing this forever.
Comment 5 Geoffrey Garen 2006-05-19 15:42:13 PDT
HTMLDocument.prototype is fixed now.
Comment 6 Darin Adler 2006-07-04 16:07:07 PDT
With all the blocking bugs marked resolved, what remains to be fixed at www.live.com? Does this still deserve a spot on our hit list?
Comment 7 Adam Roben (:aroben) 2006-10-15 13:35:45 PDT
As far as I can tell, live.com is fully functional in the latest nightlies. I'd vote for removing this from the hitlist and closing this bug.
Comment 8 Robert Blaut 2008-02-10 09:11:58 PST
As Adam said above the site already works fine with Webkit/Safari so I resolve this bug as FIXED. 

Feel free to reopen this bug if you find any issues.